# slots.hh File Reference

Declaration of set attribute slot for `Element`. More...

Include dependency graph for slots.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | SetSlotAttribute< S, dynamic >
| Base class for `SetSlot`. More...
struct | SetSlotAttribute< S, true >
| Base class for `SetSlot`, specializing `SetSlotAttribute`. More...
struct | SetSlot< S, Tag >
| Type of the `set_` attribute of the `Element` class. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Detailed Description

Declaration of set attribute slot for `Element`.

Definition in file slots.hh.